$:.push File.expand_path("../lib", __FILE__)

# Maintain your gem's version:
require "sedge_cms/version"

# Describe your gem and declare its dependencies:
Gem::Specification.new do |s|
  s.name        = "sedge_cms"
  s.version     = SedgeCms::VERSION
  s.authors     = ["Jason Aunkst"]
  s.email       = ["jaunkst@gmail.com"]
  s.homepage    = "http://jaunkst.github.io/sedge/"
  s.summary     = "A CMS Engine for Rails"
  s.description = "A CMS Engine for Rails."
  s.license     = "MIT"

  # s.files = Dir["{app,config,db,lib}/**/*", "MIT-LICENSE", "Rakefile", "README.rdoc"]
  s.files         = `git ls-files`.split($/)
  s.executables   = ["sedge"]
  s.test_files = Dir["test/**/*"]
  s.require_paths = ["lib"]

  s.add_dependency "rails", "~> 4.2.1"
  s.add_dependency "mongoid", "4.0.2"
  s.add_dependency "mustache", "~> 1.0"
  s.add_dependency "colored", "~> 1.2"
  s.add_dependency "nokogiri", "~> 1.6.6.2"
  s.add_dependency "haml", "~> 4.0.6"
  s.add_dependency "coffee-rails", "~> 4.1.0"
  s.add_dependency "rabl", "~> 0.11.5"
  s.add_dependency "htmlbeautifier", "~> 1.1.0"
  s.add_dependency "git", "~> 1.2.9.1"
end
